/*
 * RAV API
 * RAV API
 *
 * OpenAPI spec version: 1.0.0-oas3
 * Contact: name@mail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.rav.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import java.util.ArrayList;
import java.util.List;
/**
 * ConfigurationResp
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-06T19:10:49.373Z[GMT]")
public class ConfigurationResp {
  @SerializedName("experiment_found")
  private Boolean experimentFound = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("instances_list")
  private List<ConfigurationDict> instancesList = null;

  public ConfigurationResp experimentFound(Boolean experimentFound) {
    this.experimentFound = experimentFound;
    return this;
  }

   /**
   * Get experimentFound
   * @return experimentFound
  **/
  public Boolean isExperimentFound() {
    return experimentFound;
  }

  public void setExperimentFound(Boolean experimentFound) {
    this.experimentFound = experimentFound;
  }

  public ConfigurationResp status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Get status
   * @return status
  **/
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public ConfigurationResp instancesList(List<ConfigurationDict> instancesList) {
    this.instancesList = instancesList;
    return this;
  }

  public ConfigurationResp addInstancesListItem(ConfigurationDict instancesListItem) {
    if (this.instancesList == null) {
      this.instancesList = new ArrayList<ConfigurationDict>();
    }
    this.instancesList.add(instancesListItem);
    return this;
  }

   /**
   * Get instancesList
   * @return instancesList
  **/
  public List<ConfigurationDict> getInstancesList() {
    return instancesList;
  }

  public void setInstancesList(List<ConfigurationDict> instancesList) {
    this.instancesList = instancesList;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ConfigurationResp configurationResp = (ConfigurationResp) o;
    return Objects.equals(this.experimentFound, configurationResp.experimentFound) &&
        Objects.equals(this.status, configurationResp.status) &&
        Objects.equals(this.instancesList, configurationResp.instancesList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(experimentFound, status, instancesList);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ConfigurationResp {\n");
    
    sb.append("    experimentFound: ").append(toIndentedString(experimentFound)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    instancesList: ").append(toIndentedString(instancesList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
